Documentation menu

Project Environment Variables

5 operations.

List environment variables

GET/api/v1/projects/{projectId}/environments/{environmentId}/variables

Parameters

path

NameTypeRequiredDescription
projectIdstringrequiredIdentifies the Project that owns the addressed resource. Applies to List environment variables.
environmentIdstringrequiredIdentifies the Project environment addressed by the operation. Applies to List environment variables.

Responses

StatusDescriptionBody
200Response for status 200
application/json
object
  • data (required): object
400The request is malformed or cannot be processed.
application/json
PublicApiError
  • error (required): object
401Authentication failed. Possible reasons: - Authorization header is not provided - Invalid API key - Session expired
application/json
PublicApiError
  • error (required): object
403Access denied. The authenticated user does not have permission to perform this action.
application/json
PublicApiError
  • error (required): object
404Resource not found.
application/json
PublicApiError
  • error (required): object
422Request validation failed. Check the request body, query parameters, or path parameters.
application/json
PublicApiError
  • error (required): object
500The server could not complete the request.
application/json
PublicApiError
  • error (required): object

Create an environment variable

POST/api/v1/projects/{projectId}/environments/{environmentId}/variables

Parameters

path

NameTypeRequiredDescription
projectIdstringrequiredIdentifies the Project that owns the addressed resource. Applies to Create an environment variable.
environmentIdstringrequiredIdentifies the Project environment addressed by the operation. Applies to Create an environment variable.

Request body

required — Request body for: Create an environment variable.

application/json

NameTypeRequiredDescription
namestringrequired
valuestringoptional
sourceVariableIdstringoptional
sourceVersionintegeroptional
descriptionone of 2 typesoptional
agentIdstringoptional
bindingKeystringoptional

Responses

StatusDescriptionBody
200Response for status 200
application/json
object
  • data (required): object
400The request is malformed or cannot be processed.
application/json
PublicApiError
  • error (required): object
401Authentication failed. Possible reasons: - Authorization header is not provided - Invalid API key - Session expired
application/json
PublicApiError
  • error (required): object
403Access denied. The authenticated user does not have permission to perform this action.
application/json
PublicApiError
  • error (required): object
404Resource not found.
application/json
PublicApiError
  • error (required): object
409Request conflicts with current state of the resource, including safe deployment conflict classifications.
application/json
PublicApiError
  • error (required): object
422Request validation failed. Check the request body, query parameters, or path parameters.
application/json
PublicApiError
  • error (required): object
500The server could not complete the request.
application/json
PublicApiError
  • error (required): object

Get an environment variable

GET/api/v1/projects/{projectId}/environments/{environmentId}/variables/{variableId}

Parameters

path

NameTypeRequiredDescription
projectIdstringrequiredIdentifies the Project that owns the addressed resource. Applies to Get an environment variable.
environmentIdstringrequiredIdentifies the Project environment addressed by the operation. Applies to Get an environment variable.
variableIdstringrequiredIdentifies the environment variable being addressed. Applies to Get an environment variable.

Responses

StatusDescriptionBody
200Response for status 200
application/json
object
  • data (required): object
400The request is malformed or cannot be processed.
application/json
PublicApiError
  • error (required): object
401Authentication failed. Possible reasons: - Authorization header is not provided - Invalid API key - Session expired
application/json
PublicApiError
  • error (required): object
403Access denied. The authenticated user does not have permission to perform this action.
application/json
PublicApiError
  • error (required): object
404Resource not found.
application/json
PublicApiError
  • error (required): object
422Request validation failed. Check the request body, query parameters, or path parameters.
application/json
PublicApiError
  • error (required): object
500The server could not complete the request.
application/json
PublicApiError
  • error (required): object

Update an environment variable

PATCH/api/v1/projects/{projectId}/environments/{environmentId}/variables/{variableId}

Parameters

path

NameTypeRequiredDescription
projectIdstringrequiredIdentifies the Project that owns the addressed resource. Applies to Update an environment variable.
environmentIdstringrequiredIdentifies the Project environment addressed by the operation. Applies to Update an environment variable.
variableIdstringrequiredIdentifies the environment variable being addressed. Applies to Update an environment variable.

Request body

required — Request body for: Update an environment variable.

application/json

NameTypeRequiredDescription
valuestringoptional
sourceVariableIdstringoptional
sourceVersionintegeroptional
descriptionone of 2 typesoptional
status"active" | "disabled"optional
agentIdstringoptional
bindingKeystringoptional

Responses

StatusDescriptionBody
200Response for status 200
application/json
object
  • data (required): object
400The request is malformed or cannot be processed.
application/json
PublicApiError
  • error (required): object
401Authentication failed. Possible reasons: - Authorization header is not provided - Invalid API key - Session expired
application/json
PublicApiError
  • error (required): object
403Access denied. The authenticated user does not have permission to perform this action.
application/json
PublicApiError
  • error (required): object
404Resource not found.
application/json
PublicApiError
  • error (required): object
409Request conflicts with current state of the resource, including safe deployment conflict classifications.
application/json
PublicApiError
  • error (required): object
422Request validation failed. Check the request body, query parameters, or path parameters.
application/json
PublicApiError
  • error (required): object
500The server could not complete the request.
application/json
PublicApiError
  • error (required): object

Delete an environment variable

DELETE/api/v1/projects/{projectId}/environments/{environmentId}/variables/{variableId}

Parameters

path

NameTypeRequiredDescription
projectIdstringrequiredIdentifies the Project that owns the addressed resource. Applies to Delete an environment variable.
environmentIdstringrequiredIdentifies the Project environment addressed by the operation. Applies to Delete an environment variable.
variableIdstringrequiredIdentifies the environment variable being addressed. Applies to Delete an environment variable.

Responses

StatusDescriptionBody
200Response for status 200
application/json
object
  • data (required): object
400The request is malformed or cannot be processed.
application/json
PublicApiError
  • error (required): object
401Authentication failed. Possible reasons: - Authorization header is not provided - Invalid API key - Session expired
application/json
PublicApiError
  • error (required): object
403Access denied. The authenticated user does not have permission to perform this action.
application/json
PublicApiError
  • error (required): object
404Resource not found.
application/json
PublicApiError
  • error (required): object
409Request conflicts with current state of the resource, including safe deployment conflict classifications.
application/json
PublicApiError
  • error (required): object
422Request validation failed. Check the request body, query parameters, or path parameters.
application/json
PublicApiError
  • error (required): object
500The server could not complete the request.
application/json
PublicApiError
  • error (required): object